/*
 * ProjectList.java
 *
 * Created on 4. mai 2007, 11:00
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

/**
 *
 * @author Gyrd Norvoll 
 */
public class ProjectList {
    
    private Set projectList = new HashSet();
    
    /** Creates a new instance of ProjectList */
    public ProjectList() {
    }

    public Set getProjectList() {
        return projectList;
    }

    public void setProjectList(Set projectList) {
        this.projectList = projectList;
    }
    public void addProject(Project project){
        if(project == null) throw new IllegalArgumentException("Null project");
        projectList.add(project);
    }
    public void deleteProject(Project project){
        if(project == null) throw new IllegalArgumentException ("Null project");
        Iterator itr = project.getAttachedUsers().iterator();
        while(itr.hasNext()){
            User u = (User) itr.next();
            if(u.getCurrentProjects().contains(project)){
                u.getCurrentProjects().remove(project);
            }
        }
        projectList.remove(project);
        project = null;
    }
    
}
