/*
 * Simulation.java
 *
 * Created on 12. mai 2007, 18:15
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.ArrayList;

/**
 *
 * @author Gyrd Norvoll 
 */
public class Simulation extends VerificationProcedure{
    public static final String recognizer = "Simulation";
    
    private String simulationEnvironment;
    //simulationParameters contains a list of strings describing the parameters of the simulation
    private ArrayList simulationParameters = new ArrayList();
    
    /** Creates a new instance of Simulation */
    public Simulation() {
        super(recognizer);
        buildModel();
    }
    private void buildModel(){
        
    }

    public String getSimulationEnvironment() {
        return simulationEnvironment;
    }

    public void setSimulationEnvironment(String simulationEnvironment) {
        this.simulationEnvironment = simulationEnvironment;
    }

    public ArrayList getSimulationParameters() {
        return simulationParameters;
    }

    public void setSimulationParameters(ArrayList simulationParameters) {
        this.simulationParameters = simulationParameters;
    }
    public void addSimulationParameter(String simPar){
        if(simPar == null) throw new IllegalArgumentException("Null simulation parameter");
        simulationParameters.add(simPar);
    }
    public void removeSimulationParameter(String simPar){
        if(simPar == null) throw new IllegalArgumentException();
        if(simulationParameters.contains(simPar)){
            simulationParameters.remove(simPar);
        }
    }
    public String toString(){
        return "Simulation";
    }
}
