/*
 * Prototype.java
 *
 * Created on 12. mai 2007, 18:11
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.HashMap;
import java.util.Iterator;

/**
 *
 * @author Gyrd Norvoll 
 */
public class Test extends VerificationProcedure{
    public static final String recognizer = "Test";
    
    private SystemComponent testedSystemComponent;
    
    /** Creates a new instance of Test */
    public Test() {
        super(recognizer);
        buildModel();
    }
    private void buildModel(){
        HashMap t = new HashMap();
        t.put("recognizer", no.traceme.model.SystemComponent.recognizer);
        t.put("object", testedSystemComponent);
        t.put("trace", "is affected by");
        getConnectedArtifactCategories().add(t);
    }
    public String toString(){
        return "Test";
    }

    public SystemComponent getTestedSystemComponent() {
        return testedSystemComponent;
    }

    public void setTestedSystemComponent(SystemComponent affectingSystemComponent) {
        this.testedSystemComponent = affectingSystemComponent;
        Iterator i = getConnectedArtifactCategories().iterator();
        while(i.hasNext()){
            HashMap m = (HashMap) i.next();
            if(m.get("recognizer").toString().equalsIgnoreCase("SystemComponent")){
                m.put("object", affectingSystemComponent);
            }
            
        }
    }
}
