/*
 * UserList.java
 *
 * Created on 4. mai 2007, 11:00
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

/**
 *
 * @author Gyrd Norvoll 
 */
public class UserList{
    
    private Set userList = new HashSet();
    
    /** Creates a new instance of UserList */
    public UserList() {
    }

    public Set getUserList() {
        return userList;
    }

    private void setUserList(Set projectList) {
        this.userList = userList;
    }
    public void addUser(User user){
        if(user == null) throw new IllegalArgumentException("Null user");
        userList.add(user);
    }
    public User getUserById(Long userid){
        Iterator itr = userList.iterator();
        User givenUser = null;
        while (itr.hasNext()) {
            User u = (User) itr.next();
            if (u.getId() == userid){
                givenUser = u;
            }
        }
        
        return givenUser;
    }
    public boolean deleteUser(User user){
        if(user == null) throw new IllegalArgumentException ("Null user");
        Iterator itr = user.getCurrentProjects().iterator();
        while(itr.hasNext()){
            Project p = (Project) itr.next();
            if(p.getProjectManager().equals(user)){
                return false;                    
            }else{
                if(p.getAttachedUsers().contains(user)){
                    p.getAttachedUsers().remove(user);
                    userList.remove(user);
                    user = null;
                    return true;
                }
            }
            
            
        }
        return false;
        
        
    }
   
}
