<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Remove user from project</title>
    </head>
    <body>
     <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList" />
    <jsp:useBean id="pList" scope="application" class="no.traceme.model.ProjectList" />
    
    
    
    <h2>Remove user from project</h2>
   
    <form action="/traceme/project/viewproject.jsp" method="get">
        <table>
            <tr>
                <td>Select user:</td>
                <td><select name="removedUser">
                    <c:choose>
                    <c:when test="${param.chosenUserId != null}">
                    <c:forEach var="elem" items="${uList.userList}">
                       <c:choose>
                            <c:when test="${param.chosenUserId == elem.id}">
                                <option value="<c:out value="${elem.id}"/>" selected="selected"><c:out value="${elem.name}"/></option>
                            </c:when>
                            <c:otherwise>
                                <option value="<c:out value="${elem.id}"/>"><c:out value="${elem.name}"/></option>
                            </c:otherwise>
                        </c:choose>
                    </c:forEach>
                    </c:when>
                        <c:otherwise>
                             <c:forEach var="elem" items="${uList.userList}">
                                <option value="<c:out value="${elem.id}"/>"><c:out value="${elem.name}"/></option>
                            </c:forEach>
                        </c:otherwise>
                    </c:choose>
                </select>
                </td>
            </tr>
            <tr>
                <td>Select project:</td>
                <td><select name="chosenProjectId">
                    <c:choose>
                    <c:when test="${param.chosenProjectId != null}">
                    <c:forEach var="elem" items="${pList.projectList}">
                       <c:choose>
                            <c:when test="${param.chosenProjectId == elem.id}">
                                <option value="<c:out value="${elem.id}"/>" selected="selected"><c:out value="${elem.projectTitle}"/></option>
                            </c:when>
                            <c:otherwise>
                                <option value="<c:out value="${elem.id}"/>"><c:out value="${elem.projectTitle}"/></option>
                            </c:otherwise>
                        </c:choose>
                    </c:forEach>
                    </c:when>
                        <c:otherwise>
                             <c:forEach var="elem" items="${pList.projectList}">
                                <option value="<c:out value="${elem.id}"/>"><c:out value="${elem.projectTitle}"/></option>
                            </c:forEach>
                        </c:otherwise>
                    </c:choose>
                </select>
                </td>
            </tr>
            <tr>
                <td></td>
                <td><input type="submit" value="Remove"/></td>
            </tr>
        </table>
    </form>
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
