<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Visualisations</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    <h2><jsp:getProperty name="chosenProject" property="projectTitle"/></h2>
    <h3>Requirements -> FormalRequirement</h3>
    
    <div style="position: auto; padding: 20px 20px 20px 20px">
    <table class="tab">
        
        <tr><th colspan="3" class="header_tab">Requirement</th></tr>
        <tr><th class="tab div">ID</th><th class="tab div">Tag</th><th class="tab">Linked to</th></tr>
        <tr><td class="div">1</td><td class="tab div">Requirement.Prose.ExternalInterface.UserInterface.Navigation</td><td class="tab">FormalRequirement[3,4]</td></tr>
        <tr><td class="div">2</td><td class="tab div">Requirement.Prose.ExternalInterface.UserInterface.Navigation.Escape</td><td class="tab">FormalRequirement[2]</td></tr>
        <tr><td class="div">3</td><td class="tab div">Requirement.Prose.ExternalInterface.UserInterface.Feedback</td><td class="tab">FormalRequirement[1]</td></tr>
    </table>
    </div>
    <!--
    <div style="position: auto; padding: 20px 20px 20px 20px">
    <table class="tab">
        <tr><th colspan="3" class="header_tab">FunctionalRequirement</th></tr>
        <tr><th class="tab div">ID</th><th class="tab div">Tag</th><th class="tab">Linked to</th></tr>
        <tr><td class="div">1</td><td class="tab div">Functional.WorkingWithProjects.Navigation</td><td class="tab">N/A</td></tr>
        <tr><td class="div">2</td><td class="tab div">Functional.WorkingWithProjects.Escape</td><td class="tab">N/A</td></tr>
    </table>
    </div>
    
    <div style="position: auto; padding: 20px 20px 20px 20px">
    <table class="tab">
        <tr><th colspan="3" class="header_tab">Design</th></tr>
        <tr><th class="tab div">ID</th><th class="tab div">Tag</th><th class="tab">Linked to</th></tr>
        <tr><td class="div">1</td><td class="tab div">Design.LogicalDesign.ClassDiagram</td><td class="tab">N/A</td></tr>
    </table>
    </div>
    -->
    
    <div class="arrow" style="margin-left: 290px;"></div>
       
    
    <div style=" margin-left: 70px; position: auto; padding: 20px 20px 20px 20px">
    <table class="tab">
        <tr><th colspan="3" class="header_tab">FormalRequirement</th></tr>
        <tr><th class="tab div">ID</th><th class="tab div">Tag</th><th class="tab">Linked to</th></tr>
        <tr><td class="div">1</td><td class="tab div">Formal.Performance.Throughput.ActiveUsers</td><td class="tab">Requirement[3]</td></tr>
        <tr><td class="div">2</td><td class="tab div">Formal.Functional.WorkingWithProjects.Escape</td><td class="tab">Requirement[2]</td></tr>
        <tr><td class="div">3</td><td class="tab div">Formal.Attribute.Modifiability.Flexibility</td><td class="tab">Requirement[1]</td></tr>
        <tr><td class="div">4</td><td class="tab div">Formal.Functional.WorkingWithProjects.Navigation</td><td class="tab">Requirement[1]</td></tr>
        
    </table>
    </div>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
