<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <!--h2 class="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></h2-->
    <div id="projectTitle" style="position: absolute; left: 20px;">Summary</div>
    <div id="projectTitle" style="position: absolute; left: 620px;"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>
    <div style="position: relative; left: 644px; top: 30px; padding-bottom: 15px;"><a href="">Add/remove summaries</a></div>
    <table width=80%; cellspacing="20px">
        <tr>
            <td colspan="2" width=100%>
                
                <table class="tab" width=100%>
                    <tr>
                        <th colspan="4" class="header_tab">Recent artifacts</th>
                    </tr>
                    <tr><th class="tab div">Artifact tag</th><th class="tab div">Artifact type</th><th class="tab div">Traceability stage</th><th class="tab">Creation date</th></tr>
                    <c:forEach var="elem" items="${chosenProject.recentArtifacts}">
                    <tr>
                        <td class="tab div">
                            <a href="<c:out value="${elem.traceabilityStage}"/>/viewartifact.jsp?chosenArtifactId=<c:out value="${elem.id}"/>&artifactType=<c:out value="${elem.classType}"/>"><c:out value="${elem.tag}"/></a>   
                        </td>
                        <td class="tab div">
                            <a href="<c:out value="${elem.traceabilityStage}"/>/artifact_category.jsp?category=<c:out value="${elem.classType}"/>"><c:out value="${elem.classType}"/></a>
                        </td>
                        <td class="tab div">
                            <a href="<c:out value="${elem.traceabilityStage}"/>/index.jsp">
                                <c:if test="${elem.traceabilityStage == 'pre_rs'}">
                                Pre-RS traceability
                                </c:if>
                                <c:if test="${elem.traceabilityStage == 'pre_frs'}">
                                Pre-FRS traceability
                                </c:if>
                                <c:if test="${elem.traceabilityStage == 'post_frs'}">
                                Post-FRS traceability
                                </c:if>
                            </a>
                        </td>
                        <td>
                            <c:out value="${elem.creationDate}"/>
                        </td>
                    </tr>    
                    </c:forEach>
                    
                </table>
                
            </td>
            
        </tr>
        <tr>
            
            <td valign="top" width=50%>
                <table class="tab" width=100%>
                    <tr><th class="header_tab">Existing artifact categories</th></tr>
                    <tr><th class="tab"><a href="pre_rs/artifact_index.jsp">Pre-RS traceability</a></th></tr>
                    
                    <%
                    String prefix = "no.traceme.model.";
                    java.util.ArrayList l = chosenProject.getPreRS();
                    java.util.Iterator itr = l.iterator();
                    java.util.Iterator itr2;
                    //out.print("size pre_rs: " + l.size());
                    %>
                    <%@ include file="/WEB-INF/jspf/tool_project_index_iterator.jspf" %>
                    
                    <tr><th class="tab"><a href="pre_frs/artifact_index.jsp">Pre-FRS traceability</a></th></tr>
                    <%
                    l = chosenProject.getPreFRS();
                    itr = l.iterator();
                    //out.print("size pre_rs: " + l.size());
                    %>
                    <%@ include file="/WEB-INF/jspf/tool_project_index_iterator.jspf" %>
                    
                    <tr><th class="tab"><a href="post_frs/artifact_index.jsp">Post-FRS traceability</a></th></tr>
                    <%
                    l = chosenProject.getPostFRS();
                    itr = l.iterator();
                    
                    //out.print("size pre_rs: " + l.size());
                    %>
                    <%@ include file="/WEB-INF/jspf/tool_project_index_iterator.jspf" %>    
                    
                </table>
            </td>
            <td valign="top" width=50%>
                <table class="tab" width=100%>
                    <tr><th class="header_tab" colspan="2">Stakeholders</th></tr>
                    <tr><th class="tab div">Name</th><th class="tab div">Position</th></tr>
                        <c:forEach var="elem" items="${chosenProject.preRSContainer.stakeholders}">
                            <tr><td class="tab div"><a href="pre_rs/viewartifact.jsp?chosenArtifactId=<c:out value="${elem.id}"/>&artifactType=<c:out value="${elem.classType}"/>">
                                <c:out value="${elem.name}"/>
                            </a></td>
                            <td class="tab"><c:out value="${elem.position}"/></td>
                        </tr>
                        </c:forEach>
                    
                </table>
            </td>
        </tr>
        
    </table>
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
