<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Create artifact - step 2</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_post_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

   
    <!-- Determine selected artifact category-->
<%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>

   
    
    

    
    
    
    <h2>Receipt - Artifact creation</h2>
    
    An artifact of type <i> <c:out value="${param.artifactCategory}"/></i> has just been created. <br/><br/>
    Click <a href="viewartifact.jsp?chosenArtifactId=<c:out value="${param.id}"/>&artifactType=<c:out value="${param.artifactCategory}"/>">here</a> to view your artifact.
    
    
    <%
            //java.util.HashMap properties = chosenProject.getPreRSContainer().getProperties();
            //java.util.ArrayList propertyKeeper = (java.util.ArrayList) properties.get(request.getParameter("artifactCategory"));
            //pageContext.setAttribute("propertyKeeper", propertyKeeper);
            %>
   <c:choose>
            <c:when test="${param.artifactCategory == 'Design'}">
                <%
                no.traceme.model.Design design = new no.traceme.model.Design();
                design.setId(new Long(request.getParameter("id")));
                design.setTag(request.getParameter("tag"));
                design.setTitle(request.getParameter("title"));
                design.setType(request.getParameter("type"));
                design.setDescription(request.getParameter("description"));
                design.setLocation(request.getParameter("location"));
                chosenProject.getPreFRSContainer().getFormalRequirementById(new Long(request.getParameter("drivingFormalRequirement"))).addDesign(design);
                chosenProject.getPostFRSContainer().addDesign(design);
                %>
                
                
            </c:when>
            <c:when test="${param.artifactCategory == 'ExternalSystem'}">
              <%
                
                no.traceme.model.ExternalSystem exs = new no.traceme.model.ExternalSystem();
                
                exs.setId(new Long(request.getParameter("id")));
                exs.setTag(request.getParameter("tag"));
                exs.setType(request.getParameter("type"));
                exs.setName(request.getParameter("name"));
                exs.setOwner(request.getParameter("owner"));
                exs.setDescription(request.getParameter("description"));
                chosenProject.getPostFRSContainer().addExternalSystem(exs);
                
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Class'}">
              <%
                no.traceme.model.ProgrammingClass pc = new no.traceme.model.ProgrammingClass();
                
                pc.setId(new Long(request.getParameter("id")));
                pc.setTag(request.getParameter("tag"));
                pc.setTitle(request.getParameter("title"));
                pc.setDescription(request.getParameter("description"));
                pc.setLocation(request.getParameter("location"));
                pc.setImplementationLanguage(request.getParameter("implementingLanguage"));
                pc.setAuthoringStakeholder(chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("authoringStakeholder"))));
                chosenProject.getPostFRSContainer().addSystemComponent(pc);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Package'}">
              <%
                no.traceme.model.Package pack = new no.traceme.model.Package();
                
                pack.setId(new Long(request.getParameter("id")));
                pack.setTag(request.getParameter("tag"));
                pack.setTitle(request.getParameter("title"));
                pack.setDescription(request.getParameter("description"));
                pack.setLocation(request.getParameter("location"));
                
                chosenProject.getPostFRSContainer().addSystemComponent(pack);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Component'}">
              <%
                no.traceme.model.Component comp = new no.traceme.model.Component();
                
                comp.setId(new Long(request.getParameter("id")));
                comp.setTag(request.getParameter("tag"));
                comp.setTitle(request.getParameter("title"));
                comp.setDescription(request.getParameter("description"));
                comp.setLocation(request.getParameter("location"));
                comp.setImplementationLanguage(request.getParameter("implementingLanguage"));
                chosenProject.getPostFRSContainer().addSystemComponent(comp);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Module'}">
              <%
                no.traceme.model.Module module = new no.traceme.model.Module();
                
                module.setId(new Long(request.getParameter("id")));
                module.setTag(request.getParameter("tag"));
                module.setTitle(request.getParameter("title"));
                module.setDescription(request.getParameter("description"));
                module.setLocation(request.getParameter("location"));
                module.setImplementationLanguage(request.getParameter("implementingLanguage"));
                
                chosenProject.getPostFRSContainer().addSystemComponent(module);
                
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Prototype'}">
              <%
                no.traceme.model.Prototype prototype = new no.traceme.model.Prototype();
                
                prototype.setId(new Long(request.getParameter("id")));
                prototype.setTag(request.getParameter("tag"));
                prototype.setName(request.getParameter("name"));
                prototype.setDescription(request.getParameter("description"));
                prototype.setLocation(request.getParameter("location"));
                chosenProject.getPreFRSContainer().getFormalRequirementById(new Long(request.getParameter("targetedFormalRequirement"))).addVerificationProcedure(prototype);
                
                chosenProject.getPostFRSContainer().addVerificationProcedure(prototype);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Simulation'}">
              <%
                no.traceme.model.Simulation simulation = new no.traceme.model.Simulation();
                
                simulation.setId(new Long(request.getParameter("id")));
                simulation.setTag(request.getParameter("tag"));
                simulation.setName(request.getParameter("name"));
                simulation.setDescription(request.getParameter("description"));
                simulation.setLocation(request.getParameter("location"));
                chosenProject.getPreFRSContainer().getFormalRequirementById(new Long(request.getParameter("targetedFormalRequirement"))).addVerificationProcedure(simulation);
                
                chosenProject.getPostFRSContainer().addVerificationProcedure(simulation);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Inspection'}">
              <%
                no.traceme.model.Inspection ins = new no.traceme.model.Inspection();
                
                ins.setId(new Long(request.getParameter("id")));
                ins.setTag(request.getParameter("tag"));
                ins.setName(request.getParameter("name"));
                ins.setDescription(request.getParameter("description"));
                ins.setLocation(request.getParameter("location"));
                ins.setInspectingStakeholder(chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("inspectingStakeholder"))));
                chosenProject.getPreFRSContainer().getFormalRequirementById(new Long(request.getParameter("targetedFormalRequirement"))).addVerificationProcedure(ins);
                
                chosenProject.getPostFRSContainer().addVerificationProcedure(ins);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Test'}">
              <%
                no.traceme.model.Test test = new no.traceme.model.Test();
                
                test.setId(new Long(request.getParameter("id")));
                test.setTag(request.getParameter("tag"));
                test.setName(request.getParameter("name"));
                test.setDescription(request.getParameter("description"));
                test.setLocation(request.getParameter("location"));
                no.traceme.model.SystemComponent sc = chosenProject.getPostFRSContainer().getSystemComponentById(new Long(request.getParameter("testedSystemComponent")));
                test.setTestedSystemComponent(sc);
                sc.getFulfilledFormalRequirement().addVerificationProcedure(test);
                                
                chosenProject.getPostFRSContainer().addVerificationProcedure(test);
                %>
            </c:when>
        </c:choose> 
  
        
        
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
