page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Post-FRS traceability</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_post_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

    <table class="tab" width=60%>
        <tr>
            <th colspan="3" class="header_tab"><c:out value="${param.startingArtifact}"/> <c:out value="${param.trace}"/> <c:out value="${param.endingArtifact}"/></th>
        </tr>
        <% String startingArtifact = request.getParameter("startingArtifact");
            String endingArtifact = request.getParameter("endingArtifact");
            String trace = request.getParameter("trace");
            %>
        
        <c:choose>
            <c:when test="${param.startingArtifact == 'ExternalSystem'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPostFRSContainer().getExternalSystems().iterator();
                        while(i.hasNext()){
                            no.traceme.model.ExternalSystem a = (no.traceme.model.ExternalSystem) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'Design'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPostFRSContainer().getDesigns().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Design a = (no.traceme.model.Design) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'SystemComponent'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPostFRSContainer().getSystemComponents().iterator();
                        while(i.hasNext()){
                            no.traceme.model.SystemComponent a = (no.traceme.model.SystemComponent) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'VerificationProcedure'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPostFRSContainer().getVerificationProcedures().iterator();
                        while(i.hasNext()){
                            no.traceme.model.VerificationProcedure a = (no.traceme.model.VerificationProcedure) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
           
        </c:choose> 
       
    </table>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
