<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Create artifact - step 2</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

   
    <!-- Determine selected artifact category-->
<%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>

   
    
    

    
    
    
    <h2>Receipt - Artifact creation</h2>
    
    <c:out value="${param.artifactCategory}"/>
    
    
    <%
            //java.util.HashMap properties = chosenProject.getPreFRSContainer().getProperties();
            //java.util.ArrayList propertyKeeper = (java.util.ArrayList) properties.get(request.getParameter("artifactCategory"));
            //pageContext.setAttribute("propertyKeeper", propertyKeeper);
            %>
   <c:choose>
            <c:when test="${param.artifactCategory == 'Mandate'}">
                <%
                no.traceme.model.Mandate mandate = new no.traceme.model.Mandate();
                mandate.setId(new Long(request.getParameter("id")));
                mandate.setTag(request.getParameter("tag"));
                mandate.setTitle(request.getParameter("title"));
                mandate.setType(request.getParameter("type"));
                mandate.setLocation(request.getParameter("location"));
                mandate.setDescription(request.getParameter("description"));
                chosenProject.getPreFRSContainer().addMandate(mandate);
                %>
                
                
            </c:when>
            <c:when test="${param.artifactCategory == 'ExternalInterfaceRequirement'}">
               
              <%
                
                no.traceme.model.ExternalInterfaceRequirement eir = new no.traceme.model.ExternalInterfaceRequirement();
                
                eir.setId(new Long(request.getParameter("id")));                
                eir.setTag(request.getParameter("tag"));
                eir.setTitle(request.getParameter("title"));
                eir.setDescription(request.getParameter("description"));
                eir.setGist(request.getParameter("gist"));
                eir.setPriority(request.getParameter("priority"));
                eir.setRisk(request.getParameter("risk"));
                eir.setStatus(request.getParameter("status"));
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("proserequirement"))).addFormalRequirement(eir);
                
                
                chosenProject.getPreFRSContainer().addFormalRequirement(eir);
                
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'DesignConstraint'}">
              <%
               
                no.traceme.model.DesignConstraint dc = new no.traceme.model.DesignConstraint();
                
                dc.setId(new Long(request.getParameter("id")));                
                dc.setTag(request.getParameter("tag"));
                dc.setTitle(request.getParameter("title"));
                dc.setDescription(request.getParameter("description"));
                dc.setGist(request.getParameter("gist"));
                dc.setPriority(request.getParameter("priority"));
                dc.setRisk(request.getParameter("risk"));
                dc.setStatus(request.getParameter("status"));
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("proserequirement"))).addFormalRequirement(dc);
                
                
                chosenProject.getPreFRSContainer().addFormalRequirement(dc);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'SoftwareSystemAttribute'}">
              <%
                no.traceme.model.SoftwareSystemAttribute ssa = new no.traceme.model.SoftwareSystemAttribute();
                
                ssa.setId(new Long(request.getParameter("id")));                
                ssa.setTag(request.getParameter("tag"));
                ssa.setTitle(request.getParameter("title"));
                ssa.setDescription(request.getParameter("description"));
                ssa.setGist(request.getParameter("gist"));
                ssa.setPriority(request.getParameter("priority"));
                ssa.setRisk(request.getParameter("risk"));
                ssa.setStatus(request.getParameter("status"));
                ssa.setAmbition(request.getParameter("ambition"));
                ssa.setScale(request.getParameter("scale"));
                ssa.setMeter(request.getParameter("meter"));
                ssa.setBenchmarks(request.getParameter("past"), request.getParameter("record"), request.getParameter("trend"));
                ssa.setTargets(request.getParameter("goal"), request.getParameter("stretch"), request.getParameter("wish"));
                ssa.setConstraints(request.getParameter("survival"), request.getParameter("fail"));
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("proserequirement"))).addFormalRequirement(ssa);
                
                
                chosenProject.getPreFRSContainer().addFormalRequirement(ssa);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'PerformanceRequirement'}">
              <%
                no.traceme.model.PerformanceRequirement pr = new no.traceme.model.PerformanceRequirement();
                
                pr.setId(new Long(request.getParameter("id")));                
                pr.setTag(request.getParameter("tag"));
                pr.setTitle(request.getParameter("title"));
                pr.setDescription(request.getParameter("description"));
                pr.setGist(request.getParameter("gist"));
                pr.setPriority(request.getParameter("priority"));
                pr.setRisk(request.getParameter("risk"));
                pr.setStatus(request.getParameter("status"));
                pr.setAmbition(request.getParameter("ambition"));
                pr.setScale(request.getParameter("scale"));
                pr.setMeter(request.getParameter("meter"));
                pr.setBenchmarks(request.getParameter("past"), request.getParameter("record"), request.getParameter("trend"));
                pr.setTargets(request.getParameter("goal"), request.getParameter("stretch"), request.getParameter("wish"));
                pr.setConstraints(request.getParameter("survival"), request.getParameter("fail"));
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("proserequirement"))).addFormalRequirement(pr);
                
                
                chosenProject.getPreFRSContainer().addFormalRequirement(pr);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'FunctionalRequirement'}">
              <%
                no.traceme.model.FunctionalRequirement freq = new no.traceme.model.FunctionalRequirement();
                
                freq.setId(new Long(request.getParameter("id")));                
                freq.setTag(request.getParameter("tag"));
                freq.setTitle(request.getParameter("title"));
                freq.setDescription(request.getParameter("description"));
                freq.setGist(request.getParameter("gist"));
                freq.setPriority(request.getParameter("priority"));
                freq.setRisk(request.getParameter("risk"));
                freq.setStatus(request.getParameter("status"));
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("proserequirement"))).addFormalRequirement(freq);
                
                
                chosenProject.getPreFRSContainer().addFormalRequirement(freq);
                %>
            </c:when>
            
        </c:choose> 
  
        
        
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
