<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Connected artifacts</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>    
       
 <jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/>
    

    <% 
    java.util.Set chosenArtifactSet = null;
    java.util.Iterator preFRSIterator = chosenProject.getPreFRS().iterator();
    while(preFRSIterator.hasNext()){
        java.util.Set theSet = (java.util.Set) preFRSIterator.next();
        java.util.Iterator theSetIterator = theSet.iterator();
        while(theSetIterator.hasNext()){
           no.traceme.model.Artifact art = (no.traceme.model.Artifact) theSetIterator.next();
            if(art.getChildType().equalsIgnoreCase(request.getParameter("category"))){
               chosenArtifactSet = theSet;
            }
            
        }
        
    }
    %>
        
    
        <h3>Create trace - step 2 of 2</h3> 
        
        <b>Selected trace:</b> <i><c:out value="${param.startingArtifact}"/></i> <c:out value="${param.trace}"/> <i><c:out value="${param.endingArtifact}"/></i><br/><br/>
        
        <form action="createtrace_receipt.jsp" method="get">
            <table>
                <tr>
                    <td>Choose starting artifact instance (<i><c:out value="${param.startingArtifact}"/></i>): </td>
                    <td align="right">
                        <select name="startingArtifactId">
                            <% String startingArtifact = request.getParameter("startingArtifact");
                                java.util.Set startingArtifactSet = null;
                                if(chosenProject.findTraceStage(startingArtifact).equalsIgnoreCase("pre_rs")){
                                    startingArtifactSet = chosenProject.getPreRSContainer().getArtifactsByCategory(startingArtifact);
                                }else if(chosenProject.findTraceStage(startingArtifact).equalsIgnoreCase("pre_frs")){
                                    startingArtifactSet = chosenProject.getPreFRSContainer().getArtifactsByCategory(startingArtifact);
                                }else/*(chosenProject.findTraceStage(startingArtifact).equalsIgnoreCase("post_frs"))*/{
                                    startingArtifactSet = chosenProject.getPostFRSContainer().getArtifactsByCategory(startingArtifact);
                                }
                                java.util.Iterator startingArtifactIterator = startingArtifactSet.iterator();
                                while(startingArtifactIterator.hasNext()){
                                    no.traceme.model.Artifact a = (no.traceme.model.Artifact) startingArtifactIterator.next();
                                    out.print("<option value=\"" + a.getId() + "\">" + a.getTag() + "</option>");
                                }
                            %>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td>Choose ending artifact instance (<i><c:out value="${param.endingArtifact}"/></i>): </td>
                    <td align="right">
                        <select name="endingArtifactId">
                            <% 
                                String endingArtifact = request.getParameter("endingArtifact");
                                java.util.Set endingArtifactSet = null;
                                if(chosenProject.findTraceStage(endingArtifact).equalsIgnoreCase("pre_rs")){
                                    endingArtifactSet = chosenProject.getPreRSContainer().getArtifactsByCategory(endingArtifact);
                                }else if(chosenProject.findTraceStage(endingArtifact).equalsIgnoreCase("pre_frs")){
                                    endingArtifactSet = chosenProject.getPreFRSContainer().getArtifactsByCategory(endingArtifact);
                                }else/*(chosenProject.findTraceStage(startingArtifact).equalsIgnoreCase("post_frs"))*/{
                                    endingArtifactSet = chosenProject.getPostFRSContainer().getArtifactsByCategory(endingArtifact);
                                }
                                java.util.Iterator endingArtifactIterator = endingArtifactSet.iterator();
                                while(endingArtifactIterator.hasNext()){
                                    no.traceme.model.Artifact a = (no.traceme.model.Artifact) endingArtifactIterator.next();
                                    out.print("<option value=\"" + a.getId() + "\">" + a.getTag() + "</option>");
                                }                            
                            %>
                        </select>
                        <input type="hidden" name="startingArtifactType" value="<c:out value="${param.startingArtifact}"/>"/>
                        <input type="hidden" name="endingArtifactType" value="<c:out value="${param.endingArtifact}"/>"/>
                        <input type="hidden" name="trace" value="<c:out value="${param.trace}"/>"/>
                    </td>
                </tr>
                <tr>
                    <td></td><td align="right"><input type="submit" value="Continue ->"/></td>
                </tr>
            </table>
        </form>
        
        
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
