page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Pre-FRS traceability</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

    <table class="tab" width=60%>
        <tr>
            <th colspan="3" class="header_tab"><c:out value="${param.startingArtifact}"/> <c:out value="${param.trace}"/> <c:out value="${param.endingArtifact}"/></th>
        </tr>
        <% String startingArtifact = request.getParameter("startingArtifact");
            String endingArtifact = request.getParameter("endingArtifact");
            String trace = request.getParameter("trace");
            %>
        
        <c:choose>
            <c:when test="${param.startingArtifact == 'ExternalInterfaceRequirement'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPreFRSContainer().getExternalInterfaceRequirements().iterator();
                        while(i.hasNext()){
                            no.traceme.model.ExternalInterfaceRequirement a = (no.traceme.model.ExternalInterfaceRequirement) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'FunctionalRequirement'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPreFRSContainer().getFunctionalRequirements().iterator();
                        while(i.hasNext()){
                            no.traceme.model.FunctionalRequirement a = (no.traceme.model.FunctionalRequirement) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'DesignConstraint'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPreFRSContainer().getDesignConstraints().iterator();
                        while(i.hasNext()){
                            no.traceme.model.DesignConstraint a = (no.traceme.model.DesignConstraint) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'PerformanceRequirement'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPreFRSContainer().getPerformanceRequirements().iterator();
                        while(i.hasNext()){
                            no.traceme.model.PerformanceRequirement a = (no.traceme.model.PerformanceRequirement) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
            <c:when test="${param.startingArtifact == 'SoftwareSystemAttribute'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPreFRSContainer().getSoftwareSystemAttributes().iterator();
                        while(i.hasNext()){
                            no.traceme.model.SoftwareSystemAttribute a = (no.traceme.model.SoftwareSystemAttribute) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>                
            </c:when>
        </c:choose> 
       
    </table>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
