<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Project details</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

            
                        
    <!-- Determine selected artifact-->
     <c:forEach var="set" items="${chosenProject.preFRS}">
            <c:forEach var="elem" items="${set}">
                <c:if test="${elem.id == param.chosenArtifactId && elem.classType == param.artifactType}">
                    <c:set var="chosenArtifact" scope="application" value="${elem}"/>
                </c:if>
            </c:forEach>
        </c:forEach>
    
    
       
 <jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/>
    
<%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>
<div id="taskbar3"> | <a href="printrapport.jsp">Print report</a></div>
    
    <c:out value="${chosenArtifact.childType}"/>
    
        <h3><jsp:getProperty name="chosenArtifact" property="tag"/></h3>
        
      
        <c:choose>
            <c:when test="${chosenArtifact.childType == 'ExternalInterfaceRequirement'}">
                <%@ include file="/WEB-INF/jspf/artifacts/viewartifact_externalinterface_req.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'DesignConstraint'}">
                <%@ include file="/WEB-INF/jspf/artifacts/viewartifact_designconstraint.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'PerformanceRequirement'}">
                <%@ include file="/WEB-INF/jspf/artifacts/viewartifact_performancereq.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'SoftwareSystemAttribute'}">
                <%@ include file="/WEB-INF/jspf/artifacts/viewartifact_softwaresystemattribute.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'FunctionalRequirement'}">
                <%@ include file="/WEB-INF/jspf/artifacts/viewartifact_functionalreq.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Mandate'}">
                <%@ include file="/WEB-INF/jspf/artifacts/viewartifact_mandate.jspf" %>
            </c:when>
        </c:choose> 
        
       
        
        
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
