<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Connected artifacts</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>    
       
 <jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/>
    
<div id="taskbar">
        <a href="createartifact.jsp">Create artifact</a> | 
        <a href="editartifact.jsp">Edit artifact</a> | 
        <a href="deleteartifact.jsp">Delete artifact</a> | 
    </div>
    
    
        <h3>Approve change proposal</h3> 
            
        <form action="approve_receipt.jsp" method="get">
            Are you sure you want to approve this change proposal?<br/><br/> [<jsp:getProperty name="chosenArtifact" property="tag"/>]<br/><br/>
            <input type="hidden" name="approve_message" value="The artifact <i><jsp:getProperty name="chosenArtifact" property="tag"/></i> has been approved."/>
            <input type="submit" value="Yes"/>   <input type="reset" value="No"/>
        </form>
        
        
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
