<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Create artifact - step 2</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

   
    <!-- Determine selected artifact category-->
<%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>

   
    
    

    
    
    
    <h2>Receipt - Artifact creation</h2>
    
    <c:out value="${param.artifactCategory}"/>
    
    
    <%
            //java.util.HashMap properties = chosenProject.getPreRSContainer().getProperties();
            //java.util.ArrayList propertyKeeper = (java.util.ArrayList) properties.get(request.getParameter("artifactCategory"));
            //pageContext.setAttribute("propertyKeeper", propertyKeeper);
            %>
   <c:choose>
            <c:when test="${param.artifactCategory == 'Stakeholder'}">
                <%
                no.traceme.model.Stakeholder s = new no.traceme.model.Stakeholder();
                s.setId(new Long(request.getParameter("id")));
                s.setTag(request.getParameter("tag"));
                s.setName(request.getParameter("name"));
                s.setAuthority(request.getParameter("authority"));
                s.setCategory(request.getParameter("category"));
                s.setEmail(request.getParameter("email"));
                s.setCompany(request.getParameter("company"));
                s.setPhone(request.getParameter("phone"));
                s.setPosition(request.getParameter("position"));
                s.setOffice(request.getParameter("office"));
                chosenProject.getPreRSContainer().addStakeholder(s);
                %>
                
                
            </c:when>
            <c:when test="${param.artifactCategory == 'Requirement'}">
                TEST
              <%
                
                no.traceme.model.Requirement r = new no.traceme.model.Requirement();
                
                r.setId(new Long(request.getParameter("id")));
                //out.print(r.getId());
                
                r.setTag(request.getParameter("tag"));
                
                r.setTitle(request.getParameter("title"));
                r.setDescription(request.getParameter("description"));
                //out.print(new Long(request.getParameter("owningStakeholder")));
               
                r.setOwningStakeholder(chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("owningStakeholder"))));
                
                chosenProject.getPreRSContainer().addRequirement(r);
                
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'ChangeProposal'}">
              <%
                out.print("change proposal: ");
                no.traceme.model.ChangeProposal cp = new no.traceme.model.ChangeProposal();
                
                cp.setId(new Long(request.getParameter("id")));
                cp.setTag(request.getParameter("tag"));
                cp.setDescription(request.getParameter("description"));
                cp.setProposingStakeholder(chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("proposingStakeholder"))));
                cp.setAffectedRequirement(chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("affectedRequirement"))));
                out.print(cp.getTag());
                chosenProject.getPreRSContainer().addChangeProposal(cp);
                out.print("added change prop");
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Rationale'}">
              <%
                no.traceme.model.Rationale rat = new no.traceme.model.Rationale();
                
                rat.setId(new Long(request.getParameter("id")));
                rat.setTag(request.getParameter("tag"));
                rat.setDescription(request.getParameter("description"));
                
                chosenProject.getPreRSContainer().addRationale(rat);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'RequirementDescriptor'}">
              <%
                no.traceme.model.RequirementDescriptor rd = new no.traceme.model.RequirementDescriptor();
                
                rd.setId(new Long(request.getParameter("id")));
                rd.setTag(request.getParameter("tag"));
                rd.setType(request.getParameter("type"));
                rd.setLocation(request.getParameter("location"));
                chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("authoringStakeholder"))).addAuthoredRequirementDescriptor(rd);
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("describedRequirement"))).addRequirementDescriptor(rd);
                chosenProject.getPreRSContainer().addRequirementDescriptor(rd);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Assumption'}">
              <%
                no.traceme.model.Assumption assumption = new no.traceme.model.Assumption();
                
                assumption.setId(new Long(request.getParameter("id")));
                assumption.setTag(request.getParameter("tag"));
                assumption.setDescription(request.getParameter("description"));
                
                chosenProject.getPreRSContainer().addAssumption(assumption);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Argument'}">
              <%
                no.traceme.model.Argument arg = new no.traceme.model.Argument();
                
                arg.setId(new Long(request.getParameter("id")));
                arg.setTag(request.getParameter("tag"));
                arg.setDescription(request.getParameter("description"));
                chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("proposingStakeholder"))).addProposedArgument(arg);
                
                chosenProject.getPreRSContainer().addArgument(arg);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Alternative'}">
              <%
                no.traceme.model.Alternative alt = new no.traceme.model.Alternative();
                
                alt.setId(new Long(request.getParameter("id")));
                alt.setTag(request.getParameter("tag"));
                alt.setDescription(request.getParameter("description"));
                chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("proposingStakeholder"))).addProposedAlternative(alt);
                
                chosenProject.getPreRSContainer().addAlternative(alt);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Issue'}">
              <%
                no.traceme.model.Issue iss = new no.traceme.model.Issue();
                
                iss.setId(new Long(request.getParameter("id")));
                iss.setTag(request.getParameter("tag"));
                iss.setDescription(request.getParameter("description"));
                chosenProject.getPreRSContainer().getRequirementById(new Long(request.getParameter("generatingRequirement"))).addIssue(iss);
                
                chosenProject.getPreRSContainer().addIssue(iss);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Debate'}">
              <%
                no.traceme.model.Debate deb = new no.traceme.model.Debate();
                
                deb.setId(new Long(request.getParameter("id")));
                deb.setTag(request.getParameter("tag"));
                deb.setDescription(request.getParameter("description"));
                deb.setStartingIssue(chosenProject.getPreRSContainer().getIssueById(new Long(request.getParameter("startingIssue"))));
                
                chosenProject.getPreRSContainer().addDebate(deb);
                %>
            </c:when>
            <c:when test="${param.artifactCategory == 'Decision'}">
              <%
                no.traceme.model.Decision dec= new no.traceme.model.Decision();
                
                dec.setId(new Long(request.getParameter("id")));
                dec.setTag(request.getParameter("tag"));
                dec.setDescription(request.getParameter("description"));
                dec.setContext(request.getParameter("context"));
                dec.setDecisionMaker(chosenProject.getPreRSContainer().getStakeholderById(new Long(request.getParameter("decisionMaker"))));
                no.traceme.model.Issue issue = chosenProject.getPreRSContainer().getIssueById(new Long(request.getParameter("resolvedIssue")));
                issue.resolveIssue(dec);
                
                chosenProject.getPreRSContainer().addDecision(dec);
                %>
            </c:when>
        </c:choose> 
  
        
        
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
