<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Connected artifacts</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>    
       
 <jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/>

    
    <h3>Receipt - Creation of trace</h3>
    

    
    <% String endingArtifactType = request.getParameter("endingArtifactType");
        Long startingArtifactId = new Long(request.getParameter("startingArtifactId"));
        Long endingArtifactId = new Long(request.getParameter("endingArtifactId"));
        %>
    
        <c:choose>
            <c:when test="${param.startingArtifactType == 'Stakeholder'}">
                <% 
                no.traceme.model.Stakeholder stakeholder = chosenProject.getPreRSContainer().getStakeholderById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("RequirementDescriptor")){
                            no.traceme.model.RequirementDescriptor rd = chosenProject.getPreRSContainer().getRequirementDescriptorById(endingArtifactId);
                            stakeholder.addAuthoredRequirementDescriptor(rd);
                        }else if(endingArtifactType.equalsIgnoreCase("ChangeProposal")){
                            no.traceme.model.ChangeProposal cp = chosenProject.getPreRSContainer().getChangeProposalById(endingArtifactId);
                            stakeholder.addProposedChange(cp);
                        }else if(endingArtifactType.equalsIgnoreCase("Alternative")){
                            no.traceme.model.Alternative alt = chosenProject.getPreRSContainer().getAlternativeById(endingArtifactId);
                            stakeholder.addProposedAlternative(alt);
                        }else if(endingArtifactType.equalsIgnoreCase("Decision")){
                            no.traceme.model.Decision dec = chosenProject.getPreRSContainer().getDecisionById(endingArtifactId);
                            stakeholder.addReachedDecision(dec);
                        }else{
                            //do nothing
                        }
                %>
                              
            </c:when>
            <c:when test="${param.startingArtifactType == 'Requirement'}">
               <%
                        no.traceme.model.Requirement a = chosenProject.getPreRSContainer().getRequirementById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Stakeholder")){
                            no.traceme.model.Stakeholder s = chosenProject.getPreRSContainer().getStakeholderById(endingArtifactId);
                            a.addAffectedStakeholder(s);
                        }else if(endingArtifactType.equalsIgnoreCase("RequirementDescriptor")){
                            no.traceme.model.RequirementDescriptor rd = chosenProject.getPreRSContainer().getRequirementDescriptorById(endingArtifactId);
                            a.addRequirementDescriptor(rd);
                        }else if(endingArtifactType.equalsIgnoreCase("ChangeProposal")){
                            no.traceme.model.ChangeProposal cp = chosenProject.getPreRSContainer().getChangeProposalById(endingArtifactId);
                            a.addAcceptedChangeProposal(cp);
                        }else if(endingArtifactType.equalsIgnoreCase("Rationale")){
                            no.traceme.model.Rationale rat = chosenProject.getPreRSContainer().getRationaleById(endingArtifactId);
                            out.print("Rationale - affectedRequirementSize before: " +rat.getAffectedRequirements().size());
                            //rat.addAffectedRequirement(req);
                            rat.addAffectedRequirement(a);
                            out.print("Rationale - affectedRequirementSize after: " +rat.getAffectedRequirements().size());
                            out.print("Requirement rationale: " + a.getUnderlyingRationale().getTag());
                        }else if(endingArtifactType.equalsIgnoreCase("Decision")){
                            no.traceme.model.Decision dec = chosenProject.getPreRSContainer().getDecisionById(endingArtifactId);
                            dec.addAffectedRequirement(a);
                        }else{
                            //do nothing
                        }
                            
                            %>
                        
                        
            </c:when>
            <c:when test="${param.startingArtifactType == 'ChangeProposal'}">
               <%
                        no.traceme.model.ChangeProposal changeproposal = chosenProject.getPreRSContainer().getChangeProposalById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Rationale")){
                            no.traceme.model.Rationale rat = chosenProject.getPreRSContainer().getRationaleById(endingArtifactId);
                            rat.addAffectedChangeProposal(changeproposal);
                        }
                            
                            %>
               
            </c:when>
            <c:when test="${param.startingArtifactType == 'Rationale'}">
               <%
                        no.traceme.model.Rationale rat = chosenProject.getPreRSContainer().getRationaleById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Assumption")){
                            no.traceme.model.Assumption ass = chosenProject.getPreRSContainer().getAssumptionById(endingArtifactId);
                            ass.addDependingRationale(rat);
                        }else if(endingArtifactType.equalsIgnoreCase("Requirement")){
                            no.traceme.model.Requirement req = chosenProject.getPreRSContainer().getRequirementById(endingArtifactId);
                            out.print("Rationale - affectedRequirementSize before: " +rat.getAffectedRequirements().size());
                            rat.addAffectedRequirement(req);
                            out.print("Rationale - affectedRequirementSize after: " +rat.getAffectedRequirements().size());
                            out.print("Requirement rationale: " + req.getUnderlyingRationale().getTag());
                        }else if(endingArtifactType.equalsIgnoreCase("ChangeProposal")){
                            no.traceme.model.ChangeProposal cp = chosenProject.getPreRSContainer().getChangeProposalById(endingArtifactId);
                            rat.addAffectedChangeProposal(cp);
                        }else{
                            //do nothing
                        }
                            
                            %>
               
            </c:when>
            <c:when test="${param.startingArtifactType == 'RequirementDescriptor'}">
               <%
                        //nothing to be done, this is not a trace, all traces are made during RequirementDescriptor initiation.
                            
                            %>
               
            </c:when>
            <c:when test="${param.startingArtifactType == 'Assumption'}">
               <%
                      no.traceme.model.Assumption assumption = chosenProject.getPreRSContainer().getAssumptionById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Argument")){
                            no.traceme.model.Argument arg = chosenProject.getPreRSContainer().getArgumentById(endingArtifactId);
                            assumption.addDependingArgument(arg);
                        }else if(endingArtifactType.equalsIgnoreCase("Rationale")){
                            no.traceme.model.Rationale rat = chosenProject.getPreRSContainer().getRationaleById(endingArtifactId);
                            assumption.addDependingRationale(rat);
                        }else if(endingArtifactType.equalsIgnoreCase("Decision")){
                            no.traceme.model.Decision dec = chosenProject.getPreRSContainer().getDecisionById(endingArtifactId);
                            assumption.addDependingDecision(dec);
                        }else{
                            //do nothing
                        }
                      
                    %>
            </c:when>
            <c:when test="${param.startingArtifactType == 'Argument'}">
               <%  
                  no.traceme.model.Argument argument = chosenProject.getPreRSContainer().getArgumentById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Assumption")){
                            no.traceme.model.Assumption ass = chosenProject.getPreRSContainer().getAssumptionById(endingArtifactId);
                            ass.addDependingArgument(argument);
                        }else if(endingArtifactType.equalsIgnoreCase("Alternative")){
                            no.traceme.model.Alternative alt = chosenProject.getPreRSContainer().getAlternativeById(endingArtifactId);
                            alt.addArgument(argument);
                        }else{
                            //do nothing
                        }
                      
                %>
            </c:when>
            <c:when test="${param.startingArtifactType == 'Alternative'}">
                <%
                      no.traceme.model.Alternative alternative = chosenProject.getPreRSContainer().getAlternativeById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Debate")){
                            no.traceme.model.Debate deb = chosenProject.getPreRSContainer().getDebateById(endingArtifactId);
                            alternative.setDebate(deb);
                        }else if(endingArtifactType.equalsIgnoreCase("Argument")){
                            no.traceme.model.Argument arg = chosenProject.getPreRSContainer().getArgumentById(endingArtifactId);
                            alternative.addArgument(arg);
                        }else{
                            //do nothing
                        }
                      
                    %>
            </c:when>
            <c:when test="${param.startingArtifactType == 'Issue'}">
                <%
                     //nothing
                      
                    %>
            </c:when>
            <c:when test="${param.startingArtifactType == 'Debate'}">
                <%  no.traceme.model.Debate debate = chosenProject.getPreRSContainer().getDebateById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Alternative")){
                            no.traceme.model.Alternative alt = chosenProject.getPreRSContainer().getAlternativeById(endingArtifactId);
                            debate.addAlternative(alt);
                        }else{
                            //do nothing
                        }
                  %>    
            </c:when>
            <c:when test="${param.startingArtifactType == 'Decision'}">
                 <% no.traceme.model.Decision decision = chosenProject.getPreRSContainer().getDecisionById(startingArtifactId);
                         
                        if(endingArtifactType.equalsIgnoreCase("Alternative")){
                            no.traceme.model.Alternative alt = chosenProject.getPreRSContainer().getAlternativeById(endingArtifactId);
                            decision.setSelectedAlternative(alt);
                        }else{
                            //do nothing
                        }
                    %>
            </c:when>
        </c:choose> 
        
        
        A trace of type <b><i><c:out value="${param.startingArtifactType}"/></i> <c:out value="${param.trace}"/> <i><c:out value="${param.endingArtifactType}"/></i></b> has been created.
        <br/><br/><a href="trace_category.jsp?startingArtifact=<c:out value="${param.startingArtifactType}"/>&endingArtifact=<c:out value="${param.endingArtifactType}"/>&trace=<c:out value="${param.trace}"/>">Click here to find your trace.</a>
        
       
            
        
        
        
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
