<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Visualisations</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    <h2><jsp:getProperty name="chosenProject" property="projectTitle"/></h2>
    <h3>Visualisations</h3>
    
    <table cellspacing=20px width=70%>
        <tr><td valign="top" width=50%>
                <table class="tab" width=50%>
                    <tr class="dotted_bottom"><th class="header_tab" colspan="2">Predetermined visualisations</th></tr>
                    <tr class="dotted_bottom"><td class="tab div" width=90%>Pre-RS traceability model</td><td class="tab"><a href="visualisations_pre_rs.jsp"><img src="/traceme/images/btn_view.gif"/></a></td></tr>
                    <tr class="dotted_bottom"><td class="tab div">Pre-FRS traceability model</td><td class="tab"><a href="visualisations_pre_frs.jsp"><img src="/traceme/images/btn_view.gif"/></a></td></tr>
                    <tr class="dotted_bottom"><td class="tab div">Post-FRS traceability model</td><td class="tab"><a href="visualisations_post_frs.jsp"><img src="/traceme/images/btn_view.gif"/></a></td></tr>
                </table>
            </td>
        </tr><tr>
        <td valign="top" width=50%>
            <table class="tab" width=50%>
                <tr class="dotted_bottom"><th class="header_tab" colspan="2">Custom-made visualisations</th></tr>
                <tr class="dotted_bottom"><th class="tab" colspan="2">Previous visualisations</th></tr>
                <tr class="dotted_bottom"><td class="tab div" width=90%>Requirements - System Components - Tests</td><td class="tab"><a href="visualisations_req_test_system_component.jsp"><img src="/traceme/images/btn_view.gif"/></a></td></tr>
                <tr class="dotted_bottom"><td class="tab div">Stakeholders - Requirements - Change Proposals</td><td class="tab"><a href="visualisations_stakeholder_req_change.jsp"><img src="/traceme/images/btn_view.gif"/></a></td></tr>
                <tr class="dotted_bottom"><td class="tab div">Create new visualisation</td><td class="tab"><a href="visualisations_create.jsp"><img src="/traceme/images/btn_create.gif"/></a></td></tr>
            </table>
        </td>
    </table>
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
