<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Visualisations</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    <h2><jsp:getProperty name="chosenProject" property="projectTitle"/></h2>
    <h3>Visualisations - Pre-RS traceability model</h3>
    
    <img src="/traceme/images/visualisation_pre_rs.gif" usemap="#pre_rs_map"/>
    
    <MAP NAME="pre_rs_map">
<AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Stakeholder"
   SHAPE=RECT COORDS="239,304,429,381">
<AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Requirement"
   SHAPE=RECT COORDS="344,157,591,234">
<AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=RequirementDescriptor"
   SHAPE=RECT COORDS="243,13,591,88">
<AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=ChangeProposal"
   SHAPE=RECT COORDS="39,156,227,233">
   <AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Rationale"
   SHAPE=RECT COORDS="362,480,484,555">
   <AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Assumption"
   SHAPE=RECT COORDS="579,480,731,555">
   <AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Argument"
   SHAPE=RECT COORDS="841,480,984,555">
   <AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Alternative"
   SHAPE=RECT COORDS="837,308,982,383">
   <AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Issue"
   SHAPE=RECT COORDS="837,185,980,260">
   <AREA
   HREF="/traceme/tool/pre_rs/artifact_category.jsp?category=Decision"
   SHAPE=RECT COORDS="584,305,728,380">
</MAP>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
