<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Delete user</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <h2>Delete user</h2>
    
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList" />
    <jsp:useBean id="chosenUser" scope="application" class="no.traceme.model.User"/>
    
    <form action="/traceme/user/index.jsp" method="get">
      Are you sure you want to delete the user with the name <i><jsp:getProperty name="chosenUser" property="name"/></i>?<br/><br/>
      <input type="hidden" name="delete_message" value="The user <i><jsp:getProperty name="chosenUser" property="name"/></i> has been deleted"/>
      <input type="submit" value="Delete"/>
    </form>
    
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
