<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Users</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <jsp:useBean id="chosenUser" scope="application" class="no.traceme.model.User"/>
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList"/>
   
        <% 
        if(request.getParameter("delete_message") != null){
            
            boolean success = uList.deleteUser(chosenUser);
            if(success){
                out.print("<div id=\"delete_message\">" + request.getParameter("delete_message") + "</div>");
            }else{
                out.print("<div id=\"delete_message\">The user with the name <i>" + chosenUser.getName() + "</i> could not be deleted, as he or she is a project manager. Replace the user as project manager before he or she can be deleted.</div>");
            }
            application.removeAttribute("chosenUser");
        }
        %>
    <br/><br/>
     <table class="tab" width=100%>
         <tr><th colspan="2" class="header_tab">Registered users</th></tr>
        <tr><th class="tab div">Name</th><th class="tab">Participates in projects</th></tr>     
        <c:forEach var="elem" items="${uList.userList}">
                
                    <tr class="dotted_bottom">
                        <td valign="top" class="tab div">
                            <a href="/traceme/user/viewuser.jsp?chosenUserId=${elem.id}"><c:out value="${elem.name}"/></a>
                        </td>
                        <td class="tab">
                            <c:forEach var="elem2" items="${elem.currentProjects}">
                                <a href="/traceme/project/viewproject.jsp?chosenProjectId=${elem2.id}"><c:out value="${elem2.projectTitle}"/></a><br/>
                            </c:forEach>
                        </td>
                    </tr>
        
                
            </c:forEach> 
     </table>
   
            <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
