<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - User details</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    
  
  
    
    <%-- pageContext.setAttribute("chosenProjectId", request.getParameter("chosenProject")); --%>
    
    <jsp:useBean id="pList" scope="application" class="no.traceme.model.ProjectList"/>
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList"/>

                <c:if test="${param.username != null}">
                    <jsp:useBean id="newUser" scope="page" class="no.traceme.model.User"/>
                    <jsp:setProperty name="newUser" property="id" param="chosenUserId"/>
                    <jsp:setProperty name="newUser" property="username" param="username"/>
                    <jsp:setProperty name="newUser" property="password" param="password"/>
                    <jsp:setProperty name="newUser" property="name" param="name"/>
                    <c:if test="${param.admin eq \"admin_on\"}">
                        <jsp:setProperty name="newUser" property="admin" value="true"/>
                    </c:if>
                    
                    
                   
                    
                    <%  uList.addUser(newUser); %>
                </c:if>
        <c:forEach var="elem" items="${uList.userList}">
            <c:if test="${elem.id == param.chosenUserId}">
                <c:set var="chosenUser" scope="application" value="${elem}"/>
            </c:if>
        </c:forEach>
        
    <jsp:useBean id="chosenUser" scope="application" class="no.traceme.model.User"/>
    
    <div id="taskbar">
        <a href="/traceme/user/edituser.jsp">Edit user</a> | 
        <a href="/traceme/user/deleteuser.jsp">Delete user</a> | 
        <a href="/traceme/project/attachuser.jsp?chosenUserId=${param.chosenUserId}">Attach user to project</a> | 
        <a href="/traceme/project/removeuser.jsp?chosenUserId=${param.chosenUserId}">Remove user from project</a>
    </div>
    
    <h2><jsp:getProperty name="chosenUser" property="name" /></h2>
       
        <h3>Username</h3>
        
        <jsp:getProperty name="chosenUser" property="username" />
        
        <h3>Administrative rights</h3>
        
        <c:choose>
            <c:when test="${chosenUser.admin}">
                Yes.
            </c:when>
            <c:otherwise>
                No.
            </c:otherwise>
        </c:choose>
                
        <h3>Participates in projects</h3>
        
        <c:forEach var="elem" items="${chosenUser.currentProjects}">
            <a href="/traceme/project/viewproject.jsp?chosenProjectId=${elem.id}"><c:out value="${elem.projectTitle}"/></a><br/>
        </c:forEach>
        
       
        
    
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
