<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <h2>Welcome, <c:out value="${param.username}"/>!</h2>
    <table cellspacing=20px><tr>
            <td valign="top" width=60%>
              <!--
                <table class="tab">
                    <tr><th class="header_tab">Welcome to TraceMe</th></tr><tr><td class="tab">
                            <h4>Welcome to MiniTrace, a prototype requirements traceability web application.</h4>
                            This application illustrates the concept of electronical requirements traceability, allowing the user to register projects and the belonging artifacts such as requirements, stakeholders, and system component and design document references.
                    </td></tr>
                </table>
                <br/><br/>
                -->
                
                <table class="tab" width=100%>
                    <th class="header_tab">Current project titles</th>
                    <jsp:useBean id="pList" scope="application" class="no.traceme.model.ProjectList"/>
                    <c:forEach var="elem" items="${pList.projectList}">
                        <tr class="dotted_bottom"><td class="tab">
                                
                                <a href="/traceme/project/viewproject.jsp?chosenProjectId=${elem.id}"><c:out value="${elem.projectTitle}"/></a>
                                
                        </td></tr>
                    </c:forEach> 
                </table>
            </td>
            <td valign="top" width=40%>
                <table class="tab" width=100%>
                    <tr><th class="header_tab" colspan="2">Message Board</th></tr>
                    <tr><th class="tab">System Maintenance</th><th class="tab" align="right">07-06-21</th></tr>
                    <tr class="dotted_bottom"><td class="tab" colspan="2">TraceMe RT Tool will be down for maintenance during 1 AM and 3 AM on Friday the 24th of June.</td></tr>
                    <tr><th class="tab">System Upgrade</th><th class="tab" align="right">07-06-01</th></tr>
                    <tr class="dotted_bottom"><td class="tab" colspan="2">TraceMe RT Tool edition 0.2 has now been installed.</td></tr>
                </table>
                
            </td>
   </tr>
  </table>
  
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
