/*
 * Inspection.java
 *
 * Created on 12. mai 2007, 18:13
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;

/**
 *
 * @author Gyrd Norvoll 
 */
public class Inspection extends VerificationProcedure{
    public static final String recognizer = "Inspection";
    
    private Date timeOfInspection;
    private Stakeholder inspectingStakeholder;
    
    /** Creates a new instance of Inspection */
    public Inspection() {
        super(recognizer);
        buildModel();
    }
    private void buildModel(){
         HashMap t = new HashMap();
        t.put("recognizer", no.traceme.model.Stakeholder.recognizer);
        t.put("object", inspectingStakeholder);
        t.put("trace", "inspects");
        getConnectedArtifactCategories().add(t);
      
    }

    public Date getTimeOfInspection() {
        return timeOfInspection;
    }

    public void setTimeOfInspection(Date timeOfInspection) {
        this.timeOfInspection = timeOfInspection;
    }

    public Stakeholder getInspectingStakeholder() {
        return inspectingStakeholder;
    }

    public void setInspectingStakeholder(Stakeholder inspectingStakeholder) {
        this.inspectingStakeholder = inspectingStakeholder;
        Iterator i = getConnectedArtifactCategories().iterator();
        while(i.hasNext()){
            HashMap m = (HashMap) i.next();
            if(m.get("recognizer").toString().equalsIgnoreCase("Stakeholder")){
                m.put("object", inspectingStakeholder);
            }
            
        }
    }
    public String toString(){
        return "Inspection";
    }
}
