/*
 * PerformanceRequirement.java
 *
 * Created on 12. mai 2007, 16:18
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.HashMap;

/**
 *
 * @author Gyrd Norvoll 
 */
public class PerformanceRequirement extends FormalRequirement {
    
    public static final String recognizer = "PerformanceRequirement";
    
    private String ambition;
    private String scale;
    private String meter;
    
    private HashMap benchmarks = new HashMap();
    private HashMap targets = new HashMap();
    private HashMap constraints = new HashMap();
    
        
    /** Creates a new instance of PerformanceRequirement */
    public PerformanceRequirement() {
        super(recognizer);
        
    }

    public HashMap getBenchmarks() {
        return benchmarks;
    }

    public void setBenchmarks(String past, String record, String trend) {
        benchmarks.put("past", past);
        benchmarks.put("record", record);
        benchmarks.put("trend", trend);
    }

    public HashMap getTargets() {
        return targets;
    }

    public void setTargets(String goal, String stretch, String wish) {
        targets.put("goal", goal);
        targets.put("stretch", stretch);
        targets.put("wish", wish);
    }

    public HashMap getConstraints() {
        return constraints;
    }

    public void setConstraints(String survival, String fail) {
        constraints.put("survival", survival);
        constraints.put("fail", fail);
    }

    public String getAmbition() {
        return ambition;
    }

    public void setAmbition(String ambition) {
        this.ambition = ambition;
    }

    public String getScale() {
        return scale;
    }

    public void setScale(String scale) {
        this.scale = scale;
    }

    public String getMeter() {
        return meter;
    }

    public void setMeter(String meter) {
        this.meter = meter;
    }
    public String toString(){
        return "Performance Requirement";
    }
}
