/*
 * User.java
 *
 * Created on 3. mai 2007, 12:32
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package no.traceme.model;

import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author Gyrd Norvoll 
 */
public class User {
    private Long id;
    private String username;
    private String name;
    private String password;
    private boolean admin;
    private boolean loggedIn;
    private Set currentProjects = new HashSet();
    private Set managingProjects = new HashSet();
    /**
     * Creates a new instance of User
     */
    public User() {
    }
    public User(Long id, String username, String password, boolean admin){
        this.setUsername(username);
        this.setPassword(password);
        this.setAdmin(admin);
        this.setId(id);
    }
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean isAdmin() {
        return admin;
    }

    public void setAdmin(boolean admin) {
        this.admin = admin;
    }
    public boolean doLogin(){
        setLoggedIn(true);
        return true;
        //should actually confer with a database, with an authorisedUsersRepository
    }
    public boolean isLoggedIn(){
        return loggedIn;
    }
    public boolean doLogout(){
        setLoggedIn(false);
        return true;
    }
    private void setLoggedIn(boolean status){
        loggedIn = status;
    }

    public Set getCurrentProjects() {
        return currentProjects;
    }

    public void setCurrentProjects(Set currentProjects) {
        this.currentProjects = currentProjects;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Set getManagingProjects() {
        return managingProjects;
    }

    public void setManagingProjects(Set managingProjects) {
        this.managingProjects = managingProjects;
    }
    public void addManagingProject(Project project){
        if(project == null) throw new IllegalArgumentException("Null project");
        if(!(managingProjects.contains(project))){
            managingProjects.add(project);
        }
    }
    
    
}
