<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Create project</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <h2>Create project</h2>
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList" />
    <form action="/traceme/project/viewproject.jsp" method="get">
        <table>
            <tr>
                <td>Project ID:</td>
                <td><input type="text" name="chosenProjectId" size="30px"/></td>
            </tr>
            <tr>
                <td>Project title:</td>
                <td><input type="text" name="projectTitle" value="Enter your title here" size="67px" /></td>
            </tr>
            <tr>
                <td valign="top">Project description:</td>
                <td><textarea name="description" rows="4" cols="50"></textarea></td>
            </tr>
            <tr>
                <td>Project manager:</td>
                <td><select name="projectManager">
                    <c:forEach var="elem" items="${uList.userList}">
                        <option value="<c:out value="${elem.id}"/>"><c:out value="${elem.name}"/></option>
                    </c:forEach>
                </select>
                </td>
            </tr>
            <tr><td></td>
                <td>
                    <input type="submit" value="Create"/>
                </td>
            </tr>
        </table>
    </form>
    
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
