<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Edit project</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <h2>Edit project</h2>
    
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList" />
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <form action="/traceme/project/editproject_receipt.jsp" method="get">
        <table>
            <tr>
                <td>Project ID:</td>
                <td><input type="text" name="chosenProjectId" value="<jsp:getProperty name="chosenProject" property="id"/>" size="30px" disabled="disabled"/></td>
            </tr>
            <tr>
                <td>Project title:</td>
                <td><input type="text" name="projectTitle" value="<jsp:getProperty name="chosenProject" property="projectTitle"/>" size="67px" /></td>
            </tr>
            <tr>
                <td valign="top">Project description:</td>
                
                <td><textarea name="description" rows="4" cols="50"><jsp:getProperty name="chosenProject" property="projectDescription"/></textarea></td>
            </tr>
            <tr>
                <td>Project manager:</td>
                <td><select name="projectManager">
                    <c:forEach var="elem" items="${uList.userList}">
                        <c:choose>
                            <c:when test="${elem.id == chosenProject.projectManager.id}">
                                <option value="<c:out value="${elem.id}"/>" selected="selected"><c:out value="${elem.name}"/></option>
                            </c:when>
                            <c:otherwise>
                                <option value="<c:out value="${elem.id}"/>"><c:out value="${elem.name}"/></option>
                            </c:otherwise>
                        </c:choose>
                    </c:forEach>
                    
                </select>
                </td>
            </tr>
            <tr><td></td>
                <td>
                    <input type="submit" value="Save"/>
                </td>
            </tr>
        </table>
    </form>
    
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
