<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Save changes to project</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList" />
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>

    <jsp:setProperty name="chosenProject" property="id" param="chosenProjectId"/>
                    <jsp:setProperty name="chosenProject" property="projectTitle" param="projectTitle"/>
                    <jsp:setProperty name="chosenProject" property="projectDescription" param="description"/>
                    
                    
                    <c:forEach var="elem" items="${uList.userList}">
                    <c:if test="${elem.id == param.projectManager}">
                        <c:set var="user" scope="page" value="${elem}"/>
                    </c:if>
                    </c:forEach>
                    <%  
                        if((no.traceme.model.User)pageContext.getAttribute("user") != chosenProject.getProjectManager()){
                            chosenProject.addUserToProject((no.traceme.model.User)pageContext.getAttribute("user"));
                            //chosenProject.removeUserFromProject((no.traceme.model.User)chosenProject.getProjectManager());
                            chosenProject.setProjectManager((no.traceme.model.User)pageContext.getAttribute("user"));
                        }    
                    %>
    
    <h2>Your changes has been saved.</h2>
    
        
    
    
    Click <a href="/traceme/project/viewproject.jsp?chosenProjectId=<c:out value="${chosenProject.id}"/>">here</a> to view your changes.
    
    
    
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
