<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Projects</title>
    </head>
    <body>
    
        <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
        <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
        <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
        <jsp:useBean id="pList" scope="application" class="no.traceme.model.ProjectList"/>
    
        <% 
        if(request.getParameter("delete_message") != null){
            out.print("<div id=\"delete_message\">" + request.getParameter("delete_message") + "</div>");
            pList.deleteProject(chosenProject);
            application.removeAttribute("chosenProject");
        }
        %>
   
        <table class="tab" width=100%>
                    <th class="header_tab">Existing projects</th>
                    
                    <c:forEach var="elem" items="${pList.projectList}">
                        <tr class="dotted_bottom"><td class="tab">
                                
                                <a href="/traceme/project/viewproject.jsp?chosenProjectId=${elem.id}"><c:out value="${elem.projectTitle}"/></a>
                                
                        </td></tr>
                    </c:forEach> 
                </table>
    

            <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
