<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    

    <div id="taskbar">
        <a href="help.jsp">Contents</a> | 
        <a href="help_index.jsp">Index</a> | 
        <a href="help_search.jsp">Search</a>
    </div>
    <br/>
    <h2>TraceMe Help</h2>
    
    <table class="tab" width=30%>
        <tr><th class="header_tab">Help Contents</th></tr>
        <tr><th class="tab">TraceMe basics</th></tr>
        <tr><td class="tab">Getting started</td></tr>
        <tr><td class="tab">Registering users</td></tr>
        <tr><td class="tab">Creating projects</td></tr>
        <tr><td class="tab">Attaching users to project</td></tr>
        <tr><th class="tab">Working with projects</th></tr>
        <tr><td class="tab">Open projects</td></tr>
        <tr><td class="tab">Exiting projects</td></tr>
        <tr><td class="tab">Creating artifacts</td></tr>
        <tr><td class="tab">Creating traces</td></tr>
        <tr><td class="tab">Visualisations</td></tr>
        <tr><td class="tab">Search trace information</td></tr>
    </table>
               
  
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
