<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Create artifact - step 1</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_post_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

   
    <!-- Determine selected artifact category-->
<%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>

    <h2>Create artifact - step 1 of 2</h2>
    
    
        
    <form action="createnewartifact_step2.jsp" method="get">
        <table cellspacing="10px">
            <tr><td>Choose your artifact category: </td>
            <td align="right">
                <select name="category">
                    <c:forEach var="title" items="${chosenProject.postFRSContainer.artifactTitles}">
                <option 
                    <c:if test="${param.category != null}">
                            <c:if test="${title == param.category}">
                                 selected="selected"
                            </c:if> 
                    </c:if>>
               <c:out value="${title}"/></option>
            </c:forEach>
            
        </select>
    </td>
</tr>
        <tr><td></td><td align="right"><input type="submit" value="Continue ->"/></td></tr>
            
        <br/><br/>
        
        </table>
    </form>
        
        
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
