<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Connected artifacts</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_frs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>    
       
 <jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/>

    
    <h3>Receipt - Creation of trace</h3>
    

    
    <% String endingArtifactType = request.getParameter("endingArtifactType");
        Long startingArtifactId = new Long(request.getParameter("startingArtifactId"));
        Long endingArtifactId = new Long(request.getParameter("endingArtifactId"));
        %>
    
        <c:choose>
            <c:when test="${param.startingArtifactType == 'FormalRequirement'}">
                <% 
                no.traceme.model.FormalRequirement fr = chosenProject.getPreFRSContainer().getFormalRequirementById(startingArtifactId);
                
                if(fr.getChildType().equalsIgnoreCase(no.traceme.model.ExternalInterfaceRequirement.recognizer)){
                        no.traceme.model.ExternalInterfaceRequirement eir = (no.traceme.model.ExternalInterfaceRequirement) fr;
                         
                        if(endingArtifactType.equalsIgnoreCase("Mandate")){
                            no.traceme.model.Mandate man = chosenProject.getPreFRSContainer().getMandateById(endingArtifactId);
                            eir.addMandate(man);
                        }
                
                }else if(fr.getChildType().equalsIgnoreCase(no.traceme.model.FunctionalRequirement.recognizer)){
                    no.traceme.model.FunctionalRequirement eir = (no.traceme.model.FunctionalRequirement) fr;
                         
                        if(endingArtifactType.equalsIgnoreCase("Mandate")){
                            no.traceme.model.Mandate man = chosenProject.getPreFRSContainer().getMandateById(endingArtifactId);
                            eir.addMandate(man);
                        }
                
                }else if(fr.getChildType().equalsIgnoreCase(no.traceme.model.SoftwareSystemAttribute.recognizer)){
                     no.traceme.model.SoftwareSystemAttribute eir = (no.traceme.model.SoftwareSystemAttribute) fr;
                         
                        if(endingArtifactType.equalsIgnoreCase("Mandate")){
                            no.traceme.model.Mandate man = chosenProject.getPreFRSContainer().getMandateById(endingArtifactId);
                            eir.addMandate(man);
                        }
                }else if(fr.getChildType().equalsIgnoreCase(no.traceme.model.DesignConstraint.recognizer)){
                    no.traceme.model.DesignConstraint eir = (no.traceme.model.DesignConstraint) fr;
                         
                        if(endingArtifactType.equalsIgnoreCase("Mandate")){
                            no.traceme.model.Mandate man = chosenProject.getPreFRSContainer().getMandateById(endingArtifactId);
                            eir.addMandate(man);
                        }
                }else if(fr.getChildType().equalsIgnoreCase(no.traceme.model.PerformanceRequirement.recognizer)){
                     no.traceme.model.PerformanceRequirement eir = (no.traceme.model.PerformanceRequirement) fr;
                         
                        if(endingArtifactType.equalsIgnoreCase("Mandate")){
                            no.traceme.model.Mandate man = chosenProject.getPreFRSContainer().getMandateById(endingArtifactId);
                            eir.addMandate(man);
                        }
                }else{}
                
                %>                    
            </c:when>
            <c:when test="${param.startingArtifactType == 'Requirement'}">
                Enters Requirement. 
                <% 
                no.traceme.model.Requirement requirement = chosenProject.getPreRSContainer().getRequirementById(startingArtifactId);
                if(endingArtifactType.equalsIgnoreCase("FormalRequirement")){
                            out.print("enters formalRequirement");
                            no.traceme.model.FormalRequirement freq = chosenProject.getPreFRSContainer().getFormalRequirementById(endingArtifactId);
                            //out.print(freq.getTag());
                            //out.print(requirement.getTag());
                            out.print("Before:" + requirement.getFormalRequirements().size() + " ");
                            requirement.addFormalRequirement(freq);
                            out.print("After:" + requirement.getFormalRequirements().size() + " ");
                            out.print(freq.getDefiningProseRequirement().getTag());
                        }
                %>
            </c:when>
        </c:choose> 
        
        
        A trace of type <b><i><c:out value="${param.startingArtifactType}"/></i> <c:out value="${param.trace}"/> <i><c:out value="${param.endingArtifactType}"/></i></b> has been created.
        <br/><br/><a href="trace_category.jsp?startingArtifact=<c:out value="${param.startingArtifactType}"/>&endingArtifact=<c:out value="${param.endingArtifactType}"/>&trace=<c:out value="${param.trace}"/>">Click here to find your trace.</a>
        
       
            
        
        
        
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
