<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Pre-RS traceability</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    <!--jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/-->
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>
    
    <%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>
    
    <table class="tab" width=60%>
        <tr><th class="header_tab"><c:out value="${param.category}"/></th></tr>
        <tr>
            <th class="tab">Artifact instances</th>
        </tr>
        <%
        String classType = request.getParameter("category");
        
        //We don't need the artifact ID, we can just use the chosenArtifact in the application scope.
            //use this artifact in the if clauses below to find the artifacts linked to this artifact.
        
       //Insert the artifacts of the chosen traceability stage 
        java.util.Set theSet = null;
        if(classType.equalsIgnoreCase(no.traceme.model.Stakeholder.recognizer)){
            theSet = chosenProject.getPreRSContainer().getStakeholders();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Requirement.recognizer)){
            theSet = chosenProject.getPreRSContainer().getRequirements();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.ChangeProposal.recognizer)){
            theSet = chosenProject.getPreRSContainer().getChangeProposals();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Rationale.recognizer)){
            theSet = chosenProject.getPreRSContainer().getRationales();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.RequirementDescriptor.recognizer)){
            theSet = chosenProject.getPreRSContainer().getRequirementDescriptors();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Issue.recognizer)){
            theSet = chosenProject.getPreRSContainer().getIssues();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Alternative.recognizer)){
            theSet = chosenProject.getPreRSContainer().getAlternatives();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Argument.recognizer)){
            theSet = chosenProject.getPreRSContainer().getArguments();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Assumption.recognizer)){
            theSet = chosenProject.getPreRSContainer().getAssumptions();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Debate.recognizer)){
            theSet = chosenProject.getPreRSContainer().getDebates();
        }
        if(classType.equalsIgnoreCase(no.traceme.model.Decision.recognizer)){
            theSet = chosenProject.getPreRSContainer().getDecisions();
        }
        java.util.Iterator itr = theSet.iterator();
        //out.print(" - Set size: " + theSet.size());
        if(theSet.size()>0){
            
        while(itr.hasNext()){
            no.traceme.model.Artifact theArtifact = (no.traceme.model.Artifact) itr.next();      
            out.print("<tr><td class=\"tab\"><a href=\"viewartifact.jsp?chosenArtifactId=" + theArtifact.getId() + "&artifactType=" + theArtifact.getChildType() + "\">" + theArtifact.getTag() + "</a></td></tr>");   
        }
        }else{
            out.print("<tr><td class=\"tab\">N/A</td></tr>");
        }
        
        %>
    </table>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
