<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Pre-RS traceability</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/artifacts/taskbar.jspf" %>
    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>
    
    
    
    
    <table class="tab" width=30%>
        <tr>
            <th colspan="2" class="header_tab">Artifacts</th>
        </tr>
        <tr>
            <th class="tab div" width=70%>Artifact categories</th><th class="tab" width=30%># instances</th>
        </tr>
        <%
        String prefix = "no.traceme.model.";
        java.util.ArrayList l = chosenProject.getPreRS();
        java.util.Iterator itr = l.iterator();
        if(l.size()>0){
        int counter = 0;    
        while(itr.hasNext()){
            
            java.util.Set theSet = (java.util.Set) itr.next();
            
            java.util.Iterator itr2 = theSet.iterator();
            String classType = "";
            String traceabilityStage = "";
            while(itr2.hasNext()){
                
                no.traceme.model.Artifact a = (no.traceme.model.Artifact) itr2.next();
                classType = a.getChildType();
                traceabilityStage = a.getTraceabilityStage();
            }
            if(theSet.size() == 0){
                classType = (String)chosenProject.getPreRSContainer().getArtifactTitles().get(counter);
                traceabilityStage = "pre_rs";
            }
            //classType = classType.substring(prefix.length());
                out.print("<tr><td class=\"tab div\"><a href=\"/traceme/tool/" + traceabilityStage + "/artifact_category.jsp?category=" + classType + "\">" + classType + "</a></td><td class=\"tab\">" + theSet.size() + "</td></tr>");
             counter++;
        }
             
        }else{
            out.print("<tr><td class=\"tab_div\">N/A</td><td class=\"tab\">N/A</td></tr>");
        }
        %>
    </table>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
