page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Pre-RS traceability</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>

    <table class="tab" width=60%>
        <tr>
            <th colspan="3" class="header_tab"><c:out value="${param.startingArtifact}"/> <c:out value="${param.trace}"/> <c:out value="${param.endingArtifact}"/></th>
        </tr>
        <% String startingArtifact = request.getParameter("startingArtifact");
            String endingArtifact = request.getParameter("endingArtifact");
            String trace = request.getParameter("trace");
            %>
        
        <c:choose>
            <c:when test="${param.startingArtifact == 'Stakeholder'}">
                
                    <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getStakeholders().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Stakeholder a = (no.traceme.model.Stakeholder) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
                        
                        
                    
                
                
            </c:when>
            <c:when test="${param.startingArtifact == 'Requirement'}">
               <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getRequirements().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Requirement a = (no.traceme.model.Requirement) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'ChangeProposal'}">
               <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getChangeProposals().iterator();
                        while(i.hasNext()){
                            no.traceme.model.ChangeProposal a = (no.traceme.model.ChangeProposal) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Rationale'}">
               <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getRationales().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Rationale a = (no.traceme.model.Rationale) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'RequirementDescriptor'}">
               <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getRequirementDescriptors().iterator();
                        while(i.hasNext()){
                            no.traceme.model.RequirementDescriptor a = (no.traceme.model.RequirementDescriptor) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Assumption'}">
               <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getAssumptions().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Assumption a = (no.traceme.model.Assumption) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Argument'}">
               <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getArguments().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Argument a = (no.traceme.model.Argument) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Alternative'}">
                <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getAlternatives().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Alternative a = (no.traceme.model.Alternative) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Issue'}">
                <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getIssues().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Issue a = (no.traceme.model.Issue) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Debate'}">
                <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getDebates().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Debate a = (no.traceme.model.Debate) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
            <c:when test="${param.startingArtifact == 'Decision'}">
                 <%
                        java.util.Iterator i = chosenProject.getPreRSContainer().getDecisions().iterator();
                        while(i.hasNext()){
                            no.traceme.model.Decision a = (no.traceme.model.Decision) i.next();
                            %>
                           <%@ include file="/WEB-INF/jspf/traces/find_existing_traces.jspf" %>
                            <%
                        }
                    %>
            </c:when>
        </c:choose> 
       
    </table>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
