<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Pre-RS traceability</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>
    <%@ include file="/WEB-INF/jspf/traces/taskbar.jspf" %>
    
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>
    
    
    
    
    <table class="tab" width=60%>
        <tr>
            <th colspan="4" class="header_tab">Pre-RS traceability traces</th>
        </tr>
        <tr>
            <th class="tab div" width=40%>Starting artifact</th><th class="tab div" width=20%>Trace type</th><th class="tab div" width=40%>Ending artifact</th><th class="tab"></th>
        </tr>
        <%
        java.util.Iterator itr = chosenProject.getPreRSContainer().getTraces().iterator();
        while(itr.hasNext()){
          java.util.HashMap theMap = (java.util.HashMap) itr.next();
          out.print("<tr class=\"dotted_bottom\"><td class=\"tab div\">" + theMap.get("startingArtifact") + "</td>");
          out.print("<td class=\"tab div\">" + theMap.get("trace") + "</td>");
          out.print("<td class=\"tab div\">" + theMap.get("endingArtifact") + "</td>");
          out.print("<td class=\"tab\"><a href=\"trace_category.jsp?startingArtifact=" + theMap.get("startingArtifact") + "&endingArtifact=" + theMap.get("endingArtifact") + "&trace=" + theMap.get("trace") + "\"><img src=\"/traceme/images/btn_view.gif\"/></a></td></tr>");
        }
        %>
    </table>
    <br/>
    <!--
    <table class="tab" width=60%>
        <tr>
            <th colspan="3" class="header_tab">Pre-FRS traceability traces</th>
        </tr>
        <tr>
            <th class="tab div" width=40%>Starting artifact</th><th class="tab div" width=20%>Trace type</th><th class="tab" width=40%>Ending artifact</th>
        </tr>
        <%
        itr = chosenProject.getPreFRSContainer().getTraces().iterator();
        while(itr.hasNext()){
          java.util.HashMap theMap = (java.util.HashMap) itr.next();
          out.print("<tr><td class=\"tab div\">" + theMap.get("startingArtifact") + "</td>");
          out.print("<td class=\"tab div\">" + theMap.get("trace") + "</td>");
          out.print("<td class=\"tab\">" + theMap.get("endingArtifact") + "</td></tr>");
        }
        %>
    </table>
    <br/>
    <table class="tab" width=60%>
        <tr>
            <th colspan="3" class="header_tab">Post-FRS traceability traces</th>
        </tr>
        <tr>
            <th class="tab div" width=40%>Starting artifact</th><th class="tab div" width=20%>Trace type</th><th class="tab" width=40%>Ending artifact</th>
        </tr>
        <%
        itr = chosenProject.getPostFRSContainer().getTraces().iterator();
        while(itr.hasNext()){
          java.util.HashMap theMap = (java.util.HashMap) itr.next();
          out.print("<tr><td class=\"tab div\">" + theMap.get("startingArtifact") + "</td>");
          out.print("<td class=\"tab div\">" + theMap.get("trace") + "</td>");
          out.print("<td class=\"tab\">" + theMap.get("endingArtifact") + "</td></tr>");
        }
        %>
    </table>
    -->
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
