<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Connected artifacts</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner_pre_rs.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation.jspf" %>

    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    
    <div id="projectTitle"><jsp:getProperty name="chosenProject" property="projectTitle"/></div>    
       
 <jsp:useBean id="chosenArtifact" scope="application" class="no.traceme.model.Artifact"/>
    
<div id="taskbar">
        <a href="createartifact.jsp">Create artifact</a> | 
        <a href="editartifact.jsp">Edit artifact</a> | 
        <a href="deleteartifact.jsp">Delete artifact</a> | 
        <a href="artifact_category.jsp?category=<c:out value="${param.category}"/>">View all artifacts within category</a>
    </div>
    
    
        <h3>Displaying artifact instances connected to: <br/></h3> <h4><jsp:getProperty name="chosenArtifact" property="tag"/></h4>
            
        
        
        
        <table class="tab" width=60%>
            <tr><th class="header_tab"><c:out value="${param.category}"/></th></tr>
            <tr>
                <th class="tab">Connected artifact instances</th>
            </tr>
            
            
            
            <% 
            java.util.Set theSet = null;
            no.traceme.model.Artifact theArtifact = null;
            %>
        
        
        <c:choose>
            <c:when test="${chosenArtifact.childType == 'Stakeholder'}">
                <% 
                no.traceme.model.Stakeholder a = (no.traceme.model.Stakeholder) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Requirement'}">
                <% 
                no.traceme.model.Requirement a = (no.traceme.model.Requirement) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'ChangeProposal'}">
                <% 
                no.traceme.model.ChangeProposal a = (no.traceme.model.ChangeProposal) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Rationale'}">
                <% 
                no.traceme.model.Rationale a = (no.traceme.model.Rationale) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'RequirementDescriptor'}">
                <% 
                no.traceme.model.RequirementDescriptor a = (no.traceme.model.RequirementDescriptor) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Assumption'}">
                <% 
                no.traceme.model.Assumption a = (no.traceme.model.Assumption) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Argument'}">
                <% 
                no.traceme.model.Argument a = (no.traceme.model.Argument) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Alternative'}">
                <% 
                no.traceme.model.Alternative a = (no.traceme.model.Alternative) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Issue'}">
                <% 
                no.traceme.model.Issue a = (no.traceme.model.Issue) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Debate'}">
                <% 
                no.traceme.model.Debate a = (no.traceme.model.Debate) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
            <c:when test="${chosenArtifact.childType == 'Decision'}">
                <% 
                no.traceme.model.Decision a = (no.traceme.model.Decision) chosenArtifact;
                %>
                <%@ include file="/WEB-INF/jspf/artifacts/find_connected_artifacts.jspf" %>
            </c:when>
        </c:choose> 
        
       <% 
        
        if(theSet != null){
        java.util.Iterator itr = theSet.iterator();
        //out.print(" - Set size: " + theSet.size());
        if(theSet.size()>0){
            
        while(itr.hasNext()){
            no.traceme.model.Artifact a = (no.traceme.model.Artifact) itr.next();      
            out.print("<tr><td class=\"tab\"><a href=\"viewartifact.jsp?chosenArtifactId=" + a.getId() + "&artifactType=" + a.getChildType() + "\">" + a.getTag() + "</a></td></tr>");   
        }
        }else{
            out.print("<tr><td class=\"tab\">N/A</td></tr>");
        }
        }else{
                    out.print("<tr><td class=\"tab\">N/A</td></tr>");
        }
        %>
        </table>
        
    
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
