<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Visualisations</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    <h2><jsp:getProperty name="chosenProject" property="projectTitle"/></h2>
    <h3>Visualisations - Post-FRS traceability model</h3>
    
    <img src="/traceme/images/visualisation_post_frs.gif" usemap="#post_frs_map"/>
    
    <MAP NAME="post_frs_map">
<AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Module"
   SHAPE=RECT COORDS="149,1,234,37">
<AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Package"
   SHAPE=RECT COORDS="150,43,234,80">
<AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Component"
   SHAPE=RECT COORDS="150,85,234,122">
<AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Class"
   SHAPE=RECT COORDS="150,127,234,164">
   <AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Design"
   SHAPE=RECT COORDS="615,149,723,202">
   <AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=ExternalSystem"
   SHAPE=RECT COORDS="565,16,693,67">
   <AREA
   HREF="/traceme/tool/visualisations_pre_frs.jsp"
   SHAPE=RECT COORDS="356,300,517,345">
   <AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Test"
   SHAPE=RECT COORDS="1,433,83,471">
   <AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Prototype"
   SHAPE=RECT COORDS="89,433,168,472">
   <AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Inspection"
   SHAPE=RECT COORDS="175,432,257,471">
   <AREA
   HREF="/traceme/tool/post_frs/artifact_category.jsp?category=Simulation"
   SHAPE=RECT COORDS="262,432,343,471">
   
</MAP>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
