<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Tool - Visualisations</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/trace_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/trace_navigation_visualisation.jspf" %>
    
    <jsp:useBean id="chosenProject" scope="application" class="no.traceme.model.Project"/>
    <h2><jsp:getProperty name="chosenProject" property="projectTitle"/></h2>
    <h3>Visualisations - Pre-FRS traceability model</h3>
    
    <img src="/traceme/images/visualisation_pre_frs.gif" usemap="#pre_frs_map"/>
    
    <MAP NAME="pre_frs_map">
<AREA
   HREF="/traceme/tool/visualisations_pre_rs.jsp"
   SHAPE=RECT COORDS="1,124,229,202">
<AREA
   HREF="/traceme/tool/pre_frs/artifact_category.jsp?category=FunctionalRequirement"
   SHAPE=RECT COORDS="720,1,872,52">
<AREA
   HREF="/traceme/tool/pre_frs/artifact_category.jsp?category=ExternalInterfaceRequirement"
   SHAPE=RECT COORDS="720,69,872,120">
<AREA
   HREF="/traceme/tool/pre_frs/artifact_category.jsp?category=SoftwareSystemAttribute"
   SHAPE=RECT COORDS="720,138,872,187">
   <AREA
   HREF="/traceme/tool/pre_frs/artifact_category.jsp?category=DesignConstraint"
   SHAPE=RECT COORDS="720,202,872,257">
   <AREA
   HREF="/traceme/tool/pre_frs/artifact_category.jsp?category=PerformanceRequirement"
   SHAPE=RECT COORDS="720,276,872,325">
   <AREA
   HREF="/traceme/tool/pre_frs/artifact_category.jsp?category=Mandate"
   SHAPE=RECT COORDS="426,346,581,421">
</MAP>
    
    <%@ include file="/WEB-INF/jspf/trace_footer.jspf" %>
    </body>
</html>
