<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt" %>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%--
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
--%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html id="leftbar">
    <head>
        <link rel="stylesheet" type="text/css" href="/traceme/traceme_styles.css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>TraceMe - Edit user</title>
    </head>
    <body>
    
    <%@ include file="/WEB-INF/jspf/main_banner.jspf" %>
    <%@ include file="/WEB-INF/jspf/main_navigation.jspf" %>
    
    <h2>Edit user</h2>
    
    <jsp:useBean id="uList" scope="application" class="no.traceme.model.UserList" />
    <jsp:useBean id="chosenUser" scope="application" class="no.traceme.model.User"/>
    
    <form action="/traceme/user/edituser_receipt.jsp" method="get">
        <table>
            <tr>
                <td>User ID:</td>
                <td><input type="text" name="chosenUserId" size="30px" value="<jsp:getProperty name="chosenUser" property="id"/>" disabled="disabled"/></td>
            </tr>
            <tr>
                <td>Name:</td>
                <td><input type="text" name="name" size="67px" value="<jsp:getProperty name="chosenUser" property="name"/>"/></td>
            </tr>
            <tr>
                <td>Username:</td>
                <td><input type="text" name="username" size="67px" value="<jsp:getProperty name="chosenUser" property="username"/>" /></td>
            </tr>
            <tr>
                <td>Password:</td>
                <td><input type="password" name="password" size="67px" value="<jsp:getProperty name="chosenUser" property="password"/>" /></td>
            </tr>
            <tr>
                <td>Administrative rights:</td>
                <td>
                    <% 
                    if(chosenUser.isAdmin()){
                        out.print("<input type=\"checkbox\" name=\"admin\" value=\"admin_on\" checked=\"checked\" />");
                    }else{
                        out.print("<input type=\"checkbox\" name=\"admin\" value=\"admin_on\"  />");
                    }
                    %>
                    
                </td>
            </tr>
            
            <tr><td></td>
                <td>
                    <input type="submit" value="Save"/>
                </td>
            </tr>
        </table>
    </form>
    
    
    
    
    <%@ include file="/WEB-INF/jspf/main_footer.jspf" %>
    </body>
</html>
